function X = genSamps(n,mu,cov)

% GENSAMPS
%
% function X = genSamps(n,mu,cov)
% 
% This poorly named function generates n samples from a Logistic-Normal
% Distribution with parameters mu and cov.
% 
% input:
%   mu is a (k-1)x1 vector, and cov is a (k-1)x(k-1) covariance matrix
% output:
%   X is a kxn matrix of samples
% 
% Authors: Jonathan Huang       (jch1 at cs.cmu.edu)
%          Tomasz Malisiewicz  (tomasz at cmu.edu)

X = exp(randnorm(n,mu,[],cov));
X = [X; ones(1,n)];
X = X ./ repmat(sum(X),length(mu)+1,1);
