% Hierarchical Logistic-Normal Model EM script

dim = 2;
numtrials = 1;

err = zeros(numtrials,1);
for i=1:numtrials
    disp(sprintf('trial: %d',i))
    mu = rand(dim,1);
    cov = iwishrnd(eye(dim),10*dim);

    numdocs = 500;
    numdraws = 1000;
    [Y,Z] = genHLNsamples(numdocs,numdraws,mu,cov);
    [mu2,cov2] = hlnEM(Y);

    err(i) = max([max(abs(mu-mu2)) max(max(abs(cov-cov2)))]);
    disp(sprintf('error=%d',err(i)));
    
    if numtrials == 1
        figure; hold on;
        subplot(1,2,1)
        plotlogisticnormal(mu,cov,[1 0 0]);
        title('Samples from Ground Truth distribution')
        subplot(1,2,2)
        plotlogisticnormal(mu2,cov2,[0 1 0]);
        title('Samples from Fitted Distribution')
    end
end

disp(sprintf('average error = %d',mean(err)));
disp(sprintf('standard deviation = %d',std(err)));
